%        
%  
% -------------------------------------------------------------------------
% FaultAn -      
% e-mail: support@faultan.ru
% -------------------------------------------------------------------------
%  :
% U -    
% I -    
% -------------------------------------------------------------------------
%  

% --|----|----|-->
%                  |
%                 

function [U,I] = example_groundgrid
%  
U = 110e3; %   
k = 1; %   
d = 10; %   
Z1es = 3+10i; %     
Z0es = 5+18i; %     
%  
Z1 = 0.15+0.4i; %      
Z0 = 0.3+1.2i; %      
Y1 = 0; %      
Y0 = 0; %      
xf = 50; %     
l = 100; %  
%  ,   
Ra = 0.1; 
Rb = 10e10;
Rc = 10e10;
Rab = 10e10;
Rbc = 10e10;
Rca = 10e10;
%  
P = 10e6; %   
Q = 6e6; %   

[Ees, Aes] = A_eqsys(U, k, d, Z1es, Z0es);
Af_ = A_line(Z1,Z0,Y1,Y0,xf);
Af = A_fault(Ra,Rb,Rc,Rab,Rbc,Rca);
Akz = A_line(Z1,Z0,Y1,Y0,l);
An = A_load(P,Q,U);

A = Aes*Af_*Akz*Af*An;
Y = A_to_Y(A);

I12 = Y*[Ees;zeros(3,1)];

I1 = I12(1:3);

V = pinv(Aes)*[Ees;I1];

U = V(1:3);
I = V(4:6);

end